%define name	gtkpod
%define version 1.0.0
%define git 0
%if %git
%define release %mkrel -c %git 1
%else
%define release %mkrel 1
%endif

Name: 	 	%{name}
Summary: 	GTK interface to iPod
Version: 	%{version}
Release: 	%{release}
%if %git
Source0:       %{name}-%{git}.tar.xz
%else
Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%version.tar.gz
%endif
Patch1: gtkpod-cover.patch
#gw change default mount point in the sync scripts. This isn't strictly
#nessessary as all scripts support a command line option -i mountpoint
Patch3: gtkpod-mountpoint.patch
Patch4: gtkpod-tomboy-notes-path.patch
Patch5: gtkpod-fix-quoting-in-sync-scripts.patch
URL:		http://gtkpod.sourceforge.net/
License:	GPLv2+
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libid3tag-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	libgpod-devel >= 0.7.0
BuildRequires:	libvorbis-devel
BuildRequires:	libflac-devel
BuildRequires:	glib2-devel >= 2.15
BuildRequires:	gtk2-devel libglade2.0-devel
BuildRequires:	libcurl-devel
BuildRequires:	flex
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
Suggests: %mklibname mp4v2_ 1

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.

%prep
%if %git
%setup -q -n %name
./autogen.sh -V
%else
%setup -q -n %name-%version
%endif
%patch1 -p1 -b .cover
%patch3 -p1 -b .mountpoint
%patch4 -p0
%patch5 -p1
chmod 644 README ChangeLog COPYING AUTHORS

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%if %_lib != lib
perl -pi -e "s!%_prefix/lib!%_libdir!g" %buildroot%_datadir/%name/scripts/sync-evolution.sh
%endif

desktop-file-install --vendor="" \
  --add-mime-type="x-content/audio-player" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%update_desktop_database
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%clean_desktop_database
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/gtkpod.desktop
%_datadir/icons/hicolor/*/apps/gtkpod.*
%_mandir/man1/gtkpod.1*


%changelog
* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 568910
- new version
- update build deps

* Mon Mar 22 2010 Götz Waschk <waschk@mandriva.org> 0.99.16-1mdv2010.1
+ Revision: 526304
- new version

* Sun Mar 07 2010 Götz Waschk <waschk@mandriva.org> 0.99.16-0.rc1.1mdv2010.1
+ Revision: 515564
- new prerelease
- drop patches 0,2
- update build deps

* Thu Dec 03 2009 Götz Waschk <waschk@mandriva.org> 0.99.15-0.20091124.1mdv2010.1
+ Revision: 472823
- new git snapshot
- update build deps
- fix quoting in sync scripts

* Thu Oct 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.99.15-0.r2382.2mdv2010.0
+ Revision: 455851
- rebuild for new curl SSL backend

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.99.15-0.r2382.1mdv2010.0
+ Revision: 421422
- new snapshot
- patch for new tomboy notes directory

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.99.15-0.r2378.1mdv2010.0
+ Revision: 408914
- new snapshot
- rediff 2
- remove unneeded build dep

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 0.99.15-0.r2371.1mdv2010.0
+ Revision: 395454
- new snapshot
- drop patch 4
- support libmp4v2 1.9.0
- suggest libmp4v2

* Thu May 28 2009 Funda Wang <fwang@mandriva.org> 0.99.14-2mdv2010.0
+ Revision: 380327
- build with newer mp4v2

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 0.99.14-1mdv2009.1
+ Revision: 331115
- new version
- update patches 0,1
- drop patch 4
- bump libgpod dep
- update file list

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 0.99.12-5mdv2009.1
+ Revision: 328564
- fix build deps
- fix format strings
- fix build with new libmp4v2
- update license

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.99.12-4mdv2009.0
+ Revision: 266994
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 14 2008 Götz Waschk <waschk@mandriva.org> 0.99.12-3mdv2009.0
+ Revision: 192830
- rebuild with mp4 support

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 0.99.12-2mdv2008.1
+ Revision: 180318
- add support for autostart on iPod connect from nautilus

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 0.99.12-1mdv2008.1
+ Revision: 132034
- new version
- drop patches 0,2,4
- update patch 3
- bump deps

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-5mdv2008.1
+ Revision: 108089
- rebuild for new libgpod

* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-4mdv2008.1
+ Revision: 105637
- fix desktop entry
- fix build with new mpeg4ip
- fix evolution path

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-3mdv2008.0
+ Revision: 50514
- really fix sync-evolution
- update deps

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-2mdv2008.0
+ Revision: 50501
- fix evolution script to work on x86_64 as well

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.10-1mdv2008.0
+ Revision: 50475
- new version
- update patch 3
- use upstream desktop file
- drop legacy menu

* Thu Jul 05 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070619.2mdv2008.0
+ Revision: 48641
- rediff patches 0,3 for new evolution

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070619.1mdv2008.0
+ Revision: 41374
- new version
- update buildrequires


* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070207.1mdv2007.0
+ Revision: 117845
- new snapshot
- update patch 3

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070121.1mdv2007.1
+ Revision: 115329
- cvs snapshot
- drop patch 3
- bump deps

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.99.8-2mdv2007.1
+ Revision: 100406
- update mount point patch for /media
- unpack patches
- patch sync scripts to force default ipod mount point
- fix description
- Import gtkpod

* Sun Oct 08 2006 Gtz Waschk <waschk@mandriva.org> 0.99.8-1mdv2007.1
- fix mp4 track detection for enhanced AAC
- bump deps
- rediff patch 1
- New version 0.99.8

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 0.99.4-3mdv2007.0
- xdg menu

* Fri Apr 28 2006 Gtz Waschk <waschk@mandriva.org> 0.99.4-2mdk
- update patch 0 for newer evolution

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 0.99.4-1mdk
- New release 0.99.4

* Thu Dec 22 2005 Gtz Waschk <waschk@mandriva.org> 0.99.2-3mdk
- improve cover import
- add mkrel macro for backports

* Thu Dec 15 2005 Gtz Waschk <waschk@mandriva.org> 0.99.2-2mdk
- fix path in evolution address script

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 0.99.2-1mdk
- New release 0.99.2

* Tue Dec 13 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-4mdk
- fix buildrequires

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-3mdk
- fix buildrequires

* Sun Dec 11 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-2mdk
- add distsuffix

* Sun Dec 11 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-1mdk
- update deps
- New release 0.99.0

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 0.94.0-3mdk
- fix buildrequires

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.94.0-2mdk
- Fix BuildRequires

* Sun Jul 17 2005 Austin Acton <austin@mandriva.org> 0.94.0-1mdk
- New release 0.94.0

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.93.1-1mdk
- 0.93.1
- fix buildrequires (bug 16578)
- drop gcc patch

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.88.2-2mdk
- fix build with gcc4 (P0)
- add plf build for mp4v2 aac support
- fix buildrequires

* Sun Apr 03 2005 Eskild Hustvedt <eskild@mandrake.org> 0.88.2-1mdk
- New release 0.88.2
- %%mkrel

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.88.1-1mdk
- New release 0.88.1

* Thu Mar 10 2005 Austin Acton <austin@mandrake.org> 0.88-1mdk
- New release 0.88

* Wed Mar 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.87.3-1mdk
- 0.87.3

* Sat Nov 20 2004 Austin Acton <austin@mandrake.org> 0.85.0-1mdk
- 0.85.0

* Thu Sep 23 2004 Austin Acton <austin@mandrake.org> 0.80-2.1mdk
- 0.80-2
- configure 2.5

* Fri Apr 02 2004 Austin Acton <austin@mandrake.org> 0.72-2.1mdk
- 0.72-2

